Commit 202b7bf8 authored by Sam Hocevar's avatar Sam Hocevar

* debian/rules:

    + Activated Theora support (Closes: #259061).
    + Re-enabled the KDE plugin (Closes: #258295).
  * debian/control:
    + Set policy to 3.6.1.1.
    + Build-depend on libid3tag0-dev for ID3 tag support.
    + Made vlc depend on wxvlc for the moment.
parent 3460771a
$Id: README.Debian,v 1.4 2004/02/09 20:40:25 sam Exp $
$Id$
Notes for anyone wanting to build Debian packages of VLC.
......
vlc (0.7.2.final-4) unstable; urgency=low
* debian/rules:
+ Activated Theora support (Closes: #259061).
+ Re-enabled the KDE plugin (Closes: #258295).
* debian/control:
+ Set policy to 3.6.1.1.
-- Sam Hocevar (Debian packages) <sam+deb@zoy.org> Tue, 13 Jul 2004 00:21:20 +0200
vlc (0.7.2.final-3) unstable; urgency=low
* extras/ffmpeg/configure: fixed HPPA architecture detection.
-- Sam Hocevar (Debian packages) <sam+deb@zoy.org> Fri, 25 Jun 2004 11:55:33 +0200
vlc (0.7.2.final-2) unstable; urgency=low
* extras/ffmpeg/libavcodec/svq1.c: fixed vector/vect namespace issues on
powerpc.
-- Sam Hocevar (Debian packages) <sam+deb@zoy.org> Tue, 22 Jun 2004 15:21:09 +0200
vlc (0.7.2.final-1) unstable; urgency=low
* New upstream release.
* Temporarily disabled the KDE GUI plugin.
-- Sam Hocevar (Debian packages) <sam+deb@zoy.org> Sat, 29 May 2004 00:06:48 -0300
vlc (0.7.2-test2-1) unstable; urgency=low
* New upstream snapshot.
-- Sam Hocevar (Debian packages) <sam+deb@zoy.org> Thu, 6 May 2004 11:11:25 +0200
vlc (0.7.2-test1-4) unstable; urgency=low
* extras/ffmpeg/libacvodec/Makefile:
+ Fixed a PARISC/HPPA mix-up.
* src/interface/interface.c:
+ Removed the "switch interface" menu due to wxwin's utter bugosity.
-- Sam Hocevar (Debian packages) <sam+deb@zoy.org> Fri, 30 Apr 2004 13:15:59 +0200
vlc (0.7.2-test1-3) unstable; urgency=low
* configure.ac:
+ Link DTS plugins with libdts_pic.a, not libdts.a.
* debian/control:
+ Build-depend on libid3tag0-dev for ID3 tag support.
+ Made vlc depend on wxvlc for the moment.
* extras/ffmpeg/libacvodec/Makefile:
+ Build motion_est.c with -O1.
-- Sam Hocevar (Debian packages) <sam+deb@zoy.org> Fri, 30 Apr 2004 10:49:59 +0200
vlc (0.7.2-test1-2) unstable; urgency=low
* debian/control:
......
......@@ -2,14 +2,14 @@ Source: vlc
Section: graphics
Priority: optional
Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Build-Depends: debhelper (>= 4.0), gettext, libx11-dev, libxext-dev, libxt-dev, libxv-dev, xlibs-static-pic, libgnome-dev, libggi2-dev, libglide2-dev [i386], libesd0-dev, libaudiofile-dev, libsdl1.2-dev (>= 1.2.7-5), libqt3-mt-dev, libqt3-compat-headers, libasound2-dev (>= 0.9.0beta10a), libarts1-dev, libmad0-dev, liblircclient-dev, liba52-0.7.4-dev, aalib1-dev, libdvbpsi2-dev, mozilla-dev, libidl0, libglib2.0-0, kdelibs4-dev, libxosd-dev (>= 2.2.4-1.3), svgalibg1-dev (>= 1.4.0) [i386], libogg-dev, libvorbis-dev, libwxgtk2.4-dev (>= 2.4.2.4), libdvdplay0-dev (>= 1.0.1-2), libdvdread3-dev, libslp-dev, libflac-dev (>= 1.1.0), libimlib2-dev, libmatroska-dev (>= 0.7.0), libfreetype6-dev, libspeex-dev, linux-kernel-headers (>= 2.5.999-test7-bk-7), libcaca-dev (>= 0.9), liblivemedia-dev (>= 2004.04.23-1), libmpeg2-4-dev, zlib1g-dev, libdts-dev, libfribidi-dev, libcdio-dev, libmodplug-dev, libxml2-dev
Standards-Version: 3.6.1.0
Build-Depends: debhelper (>= 4.0), gettext, libx11-dev, libxext-dev, libxt-dev, libxv-dev, xlibs-static-pic, libgnome-dev, libggi2-dev, libglide2-dev [i386], libesd0-dev, libaudiofile-dev, libsdl1.2-dev (>= 1.2.7-5), libqt3-mt-dev, libqt3-compat-headers, libasound2-dev (>= 0.9.0beta10a), libarts1-dev, libmad0-dev, liblircclient-dev, liba52-0.7.4-dev, aalib1-dev, libdvbpsi2-dev, mozilla-dev, libidl0, libglib2.0-0, kdelibs4-dev, libxosd-dev (>= 2.2.4-1.3), svgalibg1-dev (>= 1.4.0) [i386], libogg-dev, libvorbis-dev, libwxgtk2.4-dev (>= 2.4.2.4), libdvdplay0-dev (>= 1.0.1-2), libdvdread3-dev, libslp-dev, libflac-dev (>= 1.1.0), libimlib2-dev, libmatroska-dev (>= 0.7.0), libfreetype6-dev, libspeex-dev, linux-kernel-headers (>= 2.5.999-test7-bk-7), libcaca-dev (>= 0.9), liblivemedia-dev (>= 2004.04.23-1), libmpeg2-4-dev, zlib1g-dev, libdts-dev, libfribidi-dev, libcdio-dev, libmodplug-dev, libxml2-dev, libid3tag0-dev, libtheora-dev
Standards-Version: 3.6.1.1
Package: vlc
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-freefont
Recommends: wxvlc, ttf-thryomanes
Depends: ${shlibs:Depends}, ${misc:Depends}, wxvlc, ttf-freefont
Recommends: ttf-thryomanes
Replaces: vlc-plugin-dvb (<< 0.5.2-2), vlc-plugin-xosd (<< 0.5.2-2), vlc-plugin-dv (<< 0.5.2-2), vlc-plugin-mad (<< 0.5.2-2), vlc-mad (<< 0.5.0), vlc-plugin-a52 (<< 0.5.2-2), vlc-plugin-ogg (<< 0.5.2-2), vlc-plugin-lirc (<< 0.5.2-2), vlc-lirc (<< 0.5.0), vlc-plugin-aa (<< 0.5.2-2), vlc-aa (<< 0.5.0)
Conflicts: vlc-plugin-dvb (<< 0.5.2-2), vlc-plugin-xosd (<< 0.5.2-2), vlc-plugin-dv (<< 0.5.2-2), vlc-plugin-mad (<< 0.5.2-2), vlc-mad (<< 0.5.0), vlc-plugin-a52 (<< 0.5.2-2), vlc-plugin-ogg (<< 0.5.2-2), vlc-plugin-lirc (<< 0.5.2-2), vlc-lirc (<< 0.5.0), vlc-plugin-aa (<< 0.5.2-2), vlc-aa (<< 0.5.0)
Provides: mp3-decoder
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment